    # File lib/fog/ovirt/compute.rb, line 48
            def ovirt_attrs obj
              opts = {:raw => obj}
              obj.instance_variables.each do |v|
                key = v.to_s.gsub("@","").to_sym
                value = obj.instance_variable_get(v)
                #ignore nil values
                next if value.nil?

                opts[key] = case value
                            when OVIRT::Link
                              value.id
                            when Array
                              value
                            when Hash
                              value
                            else
                              value.to_s.strip
                            end
              end
              opts
            end